# sht31.py
# Driver for Sensirion sensor SHT31

from microbit import i2c, sleep

class SHT31:
    def getValues(self):
        I2C_ADDR = 0x44
        i2c.write(I2C_ADDR, b'\x2c\x06')
        sleep(50)
        raw = i2c.read(I2C_ADDR, 6)
        t, h = (raw[0] << 8) + raw[1], (raw[3] << 8) + raw[4]
        return -45 + (175 * (t / 65535)), 100 * (h / 65535)
